## golang-github-franela-goreq 0.0~git20171204.bcd34c9

=== Makefile ===
test:
	go get -v -d -t ./...
	go test -v

## golang-github-franela-goreq 0.0~git20160121.0.3ddeded

=== debian/changelog ===
golang-github-franela-goreq (0.0~git20160121.0.3ddeded-2) unstable; urgency=medium

  * New patch to disable networking tests (Closes: #830674).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 Jul 2016 16:39:23 +1000

golang-github-franela-goreq (0.0~git20160121.0.3ddeded-1) unstable; urgency=medium

  * Initial release (Closes: #823718).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 10 May 2016 07:59:31 +1000

=== debian/control ===
Source: golang-github-franela-goreq
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
    golang-gomega-dev | golang-github-onsi-gomega-dev,
# Tests:
    golang-github-franela-goblin-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/franela/goreq
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-franela-goreq.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-franela-goreq.git
XS-Go-Import-Path: github.com/franela/goreq

Package: golang-github-franela-goreq-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
    golang-gomega-dev | golang-github-onsi-gomega-dev,
# Tests:
    golang-github-franela-goblin-dev,
Description: minimal and simple request library for Go language
 GoReq Simple and sane HTTP request library for Go language.

## golang-github-franela-goreq 0.0~git20171204.bcd34c9

=== debian/changelog ===
golang-github-franela-goreq (0.0~git20171204.bcd34c9-1) unstable; urgency=medium

  * Team upload.
  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on debhelper.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.

  [ Andreas Tille ]
  * Add watch file
  * Default Salsa CI
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Use tracker.debian.org’s team functionality in Debian Go Packaging
    Team and spell team name as per policy (routine-update)
  * Section: s/devel/golang/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 28 Sep 2025 21:34:20 +0200

golang-github-franela-goreq (0.0~git20160121.0.3ddeded-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 16:26:31 +0100

=== debian/control ===
Source: golang-github-franela-goreq
Standards-Version: 4.7.2
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-go,
 golang-gomega-dev | golang-github-onsi-gomega-dev,
# Tests:
 golang-github-franela-goblin-dev,
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-franela-goreq
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-franela-goreq.git
Homepage: https://github.com/franela/goreq
XS-Go-Import-Path: github.com/franela/goreq

Package: golang-github-franela-goreq-dev
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 golang-go,
 golang-gomega-dev | golang-github-onsi-gomega-dev,
# Tests:
 golang-github-franela-goblin-dev,
Description: minimal and simple request library for Go language
 GoReq Simple and sane HTTP request library for Go language.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

## Appears to run networking tests:
override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
Version: 5
Source: https://github.com/franela/goreq.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 0.0~git%cd.%h
